Subject: Re: bug#43120: 28.0.50; fido-mode: M-j before completions appear selects wrong choice

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Sep 2020 12:30:12 +0200

João Távora <[email-masked]> writes:

> I've had a look at the original problem that triggered this, and I
> wonder if this much simpler patch wouldn't be preferable.  For one, it
> doesn't touch the minibuffer.el machinery (which is complicated as it
> is) or has any kind of complicated caching semantics.  It just binds a
> different command to RET in icomplete-minibuffer-map, presumably solving
> 19032 (in my limited testing).  It's also guaranteed not to affect
> fido-mode.

That does look like a much simpler and less invasive way to implement
this; yes.  (And you'd presumably remove the stuff that was added for
19032 already?)

But I was wondering whether there were any other use cases where the
newly added stuff would be useful...  but perhaps not?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no